Bug 220374 - Xorg 1.1.1-47 crashes when 3D invoked
Xorg 1.1.1-47 crashes when 3D invoked
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-apps (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-20 14:35 EST by Peter Meyer
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-27 20:22:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg log file. (23.41 KB, text/plain)
2006-12-20 14:48 EST, Peter Meyer
no flags Details

  None (edit)
Description Peter Meyer 2006-12-20 14:35:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.8) Gecko/20061107 Fedora/1.5.0.8-1.fc6 Firefox/1.5.0.8

Description of problem:
Version 1.1.47 of Xorg crashes whenever a 3D application is invoked.  Examples causing this crash are:
o  Launching xscreensaver with 3D screensavers enabled.
o  executing glxinfo

Attached is an xorg.0.log file.

Version-Release number of selected component (if applicable):
1.1.1-47

How reproducible:
Always


Steps to Reproduce:
1.Login
2. execute glxinfo
3.

Actual Results:
Crash

Expected Results:
show dri enabled graphics card.

Additional info:
The systems I am running both have Nvidia graphics drivers in them.
Comment 1 Peter Meyer 2006-12-20 14:48:18 EST
Created attachment 144135 [details]
Xorg log file.

only log I could find point to Xorg as the crash source.
Comment 2 Matěj Cepl 2006-12-27 15:40:40 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) to the bug report
as individual uncompressed file attachment using the bugzilla file attachment
link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Peter Meyer 2006-12-27 20:22:51 EST
Hi Matej:

I think I am going to retract this bug request.  In a separate installation, I
was able to get around the problem by re-installing the Nvidia driver.  Somehow
the Xorg release tripped something up with that driver.  This is the first time
I've seen this behavior.

Please close with my thanks for your attention to this.

Regards,

Peter Meyer

Note You need to log in before you can comment on or make changes to this bug.